Bug 1184130

Summary: Review Request: rubygem-rails-deprecated_sanitizer - Deprecated sanitizer API extracted from Action View
Product: [Fedora] Fedora Reporter: Vít Ondruch <vondruch>
Component: Package ReviewAssignee: Josef Stribny <jstribny>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: hhorak, jstribny, package-review
Target Milestone: ---Flags: jstribny: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rubygem-rails-deprecated_sanitizer-1.0.3-2.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-23 09:02:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1184910, 1184920    

Description Vít Ondruch 2015-01-20 15:47:26 UTC
Spec URL: https://fedorapeople.org/cgit/vondruch/public_git/rubygem-rails-deprecated_sanitizer.git/tree/rubygem-rails-deprecated_sanitizer.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-rails-deprecated_sanitizer-1.0.3-1.fc22.src.rpm
Description: 
In Rails 4.2 HTML sanitization has been rewritten using a more secure library.

This gem includes the old behavior shipping with Rails 4.2 and before. It is
strictly provided to ease migration. It will be supported until Rails 5.


Fedora Account System Username: vondruch

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=8675371

Comment 1 Josef Stribny 2015-01-22 13:48:30 UTC
The package builds and test suite passes although cannot be installed with older ActiveSupport. If the package works with the old ActiveSupport as well, perhaps we can adjust the dependency requirement.

Otherwise the spec looks alright => APPROVED.

Comment 2 Vít Ondruch 2015-01-22 14:13:17 UTC
(In reply to Josef Stribny from comment #1)
> The package builds and test suite passes although cannot be installed with
> older ActiveSupport. If the package works with the old ActiveSupport as
> well, perhaps we can adjust the dependency requirement.

Yes, you are right. I already noticed it and fixed locally.

 
> Otherwise the spec looks alright => APPROVED.

Thanks for the review.


New Package SCM Request
=======================
Package Name: rubygem-rails-deprecated_sanitizer
Short Description: Deprecated sanitizer API extracted from Action View
Upstream URL: https://github.com/rails/rails-deprecated_sanitizer
Owners: vondruch jstribny
Branches: 
InitialCC:

Comment 3 Gwyn Ciesla 2015-01-22 17:11:50 UTC
Git done (by process-git-requests).